/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/menu-item.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/menu-item.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" title="Menu item" defaultFormHandler="xxas_emp_menu_pkg.post_menu_item_update">

  <EditFields>

      <Hidden id="MENU_ID"/>
      <Hidden id="CURRENT_ENTRY_SEQUENCE"/>
      <TextInput id="TITLE" label="Menu" enabled="false"/>
      <TextInput id="PROMPT" label="Title" required="true"/>
      <Poplist id="ITEM_TYPE" label="Type" required="true" enabled="false" listProvider="LOOKUP_TYPE:XXAS_MENU_ITEM_TYPES"/>
      <Number id="ENTRY_SEQUENCE" label="Order sequence" required="true"/>
      <Hidden id="OBJECT_ID_FORMAT"/>
      <Hidden id="SUB_MENU_ID"/>
      <Combolist id="PAGE_SLUG" label="Page" listProvider="REST:menu-item/page-links?q={searchText}&amp;objId=${fieldNR.OBJECT_ID_FORMAT}" longlist="true" required="true" 
       hideIf="!model.ITEM_TYPE.value.id || model.ITEM_TYPE.value.id != &apos;PAGE&apos;"/>

  </EditFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/menu-item.xml');
END;
/
COMMIT;
EXIT;
